Subject: bug#17484: 24.3.91; Emacs Pretest (emacs-24.3.91.tar.xz) freeze

From: Daimrod <[email-masked]>
Date: Wed, 14 May 2014 10:12:45 +0900

Stefan Monnier <[email-masked]> writes:

>> So, that's an org-mode bug, I'll try to see if I can reproduce it
>
> Right: org-adaptive-fill-function should finish fairly promptly.
>
>> (though I wonder why it uses `inhibit-quit' in the first place).
>
> It's not org-mode which binds inhibit-quit but the C code that runs
> jit-lock.  The C code binds inhibit-quit basically any time we run
> "asynchronous code" (i.e. code run from redisplay, timers,
> process-filters, ...) since the user usually doesn't really know that
> such is running, so if she hits C-g she doesn't mean for it to interrupt
> that code, but instead to do something else (e.g. get out of the
> minibuffer).

Well, `org-mks' (in `org-capture.el') sets `inhibit-quit' to T and is
called by `org-capture'.

I have found 7 places were `inhibit-quit' was set to T in org-mode.

> The flip side is that all code run from jit/font-lock, process filters
> and timers should be super extra careful to finish promptly and never
> ever get into an inf-loop.

I can see why. :)

-- 
Daimrod/Greg